Summary: Traces the route taken by packets over a TCP/IP network.
Name: traceroute
Version: 1.4a12
Release: 2
License: IBM_ILA
URL: ftp://ftp.ee.lbl.gov
Group: Applications/Internet
Source: ftp://ftp.ee.lbl.gov/traceroute-1.4a12.tar.gz
Source1: IBM_ILA
Source1: %{name}.txt
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root

%description
The traceroute utility displays the route used by IP packets on their
way to a specified network (or Internet) host.  Traceroute displays
the IP number and host name (if possible) of the machines along the
route taken by the packets.  Traceroute is used as a network debugging
tool.  If you're having network connectivity problems, traceroute will
show you where the trouble is coming from along the route.

Install traceroute if you need a tool for diagnosing network connectivity
problems.

%prep
%setup -q

# Add license info
cat $RPM_SOURCE_DIR/IBM_ILA > LICENSE
cat $RPM_SOURCE_DIR/traceroute.txt >> LICENSE

%build

configure --prefix=%{_prefix}
make CCOPT="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/sbin
mkdir -p $RPM_BUILD_ROOT%{_prefix}/man/man8

make DESTDIR=$RPM_BUILD_ROOT install install-man

( cd $RPM_BUILD_ROOT
  strip .%{_prefix}/sbin/* || :
)
mkdir -p $RPM_BUILD_ROOT/usr/linux/bin
cd $RPM_BUILD_ROOT/usr/linux/bin
ln -s ../../..%{_prefix}/sbin/traceroute .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES FILES INSTALL README VERSION LICENSE
%attr(4755,root,root)	%{_sbindir}/traceroute
%{_mandir}/man8/*
/usr/linux/bin/traceroute

%changelog
* Fri Nov 22 2002 David Clissold <cliss@austin.ibm.com>
- Add IBM ILA license.

* Thu Jan 31 2002 Joshua Phillips <joshua1@us.ibm.com>
- Ported traceroute to AIX
